#
# Please do not update/rebuild/touch this package before asking first to mikala ,lmenut and/or neoclust
# This package is part of the KDE Stack.
#
%define debug_package %{nil}

%define rel 1

Summary:        KWayland provides a Qt-style Client and Server library wrapper for the Wayland libraries
Name:           kwayland
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
#Patch0:         kwayland-5.1.2-enable-server.patch
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core) 
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Concurrent)
#BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  qt5core-private-devel
BuildRequires:  qt5gui-private-devel

BuildRequires:  cmake
BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)

%description
KWayland provides a Qt-style Client and Server library wrapper for the Wayland libraries

%files
%_sysconfdir/xdg/org_kde_kwayland.categories
%_libexecdir/org-kde-kf5-kwayland-testserver

#--------------------------------------------------------------------

%define kf5wayland_major 5
%define libkf5wayland %mklibname kf5wayland %{kf5wayland_major}

%package -n %libkf5wayland
Summary:      KWayland provides a Qt-style Client and Server library wrapper for the Wayland libraries
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkf5wayland
KWayland provides a Qt-style Client and Server library wrapper for the Wayland libraries

%files -n %libkf5wayland
%_kf5_libdir/libKF5WaylandClient.so.%{kf5wayland_major}*
%_kf5_libdir/libKF5WaylandServer.so.%{kf5wayland_major}*

#--------------------------------------------------------------------

%define kf5wayland_devel %mklibname kf5wayland -d

%package -n %kf5wayland_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5wayland = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5wayland_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5wayland_devel
%_kf5_includedir/KWayland
%_kf5_includedir/kwayland_version.h
%_kf5_libdir/cmake/KF5Wayland
%_libdir/qt5/mkspecs/modules/*.pri
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build



%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088996
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074568
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072232
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058387
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050564
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045142
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041364
- New version 5.24.0

* Tue Jul 05 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1038688
- New version 5.23.0
- New version 5.6.5

* Tue May 17 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1016254
- KWayland is now a framework

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014542
- New version 5.6.4
- New version 5.22.0

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009279
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999263
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998018
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994393
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 986984
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983746
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927973
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922509
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914844
- New version 5.5.2

* Wed Dec 23 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913661
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910689
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908850
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904403
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-3.mga6
+ Revision: 900768
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 899658
- Rebuild against fixed extra-cmake-modules

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898261
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889520
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874733
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869649
- New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863363
- New version 5.3.95

* Fri Jul 03 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 849726
- New version 5.3.2

* Sun Feb 22 2015 luigiwalser <luigiwalser> 5.1.2-3.mga5
+ Revision: 816314
- rediff upstream commits to add missing parts of kwayland-server API

* Sun Feb 22 2015 luigiwalser <luigiwalser> 5.1.2-2.mga5
+ Revision: 816305
- enable building wayland-server library

* Sun Dec 21 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804710
- imported package kwayland

